#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  Gcr-3.41.2

- Next

  gsettings-desktop-schemas-50.1

- Up
- Home

# Gcr-4.4.0.1

## Introduction to Gcr

The Gcr package contains libraries used for displaying certificates and accessing key stores. It also provides the viewer for crypto files on the GNOME Desktop.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gcr/4.4/gcr-4.4.0.1.tar.xz

- Download MD5 sum: 01da4445b5b16801c6dcc7d8945b4cc4

- Download size: 728 KB

- Estimated disk space required: 26 MB (with tests)

- Estimated build time: 0.1 SBU (with tests; both using parallelism=4)

### Gcr Dependencies

#### Required

GLib-2.88.0 (GObject Introspection recommended), libgcrypt-1.12.2, p11-kit-0.26.2

#### Recommended

GnuPG-2.5.19, GTK-4.22.4, libsecret-0.21.7, libxslt-1.1.45, and Vala-0.56.19

#### Optional

Gi-DocGen-2026.1, GnuTLS-3.8.13, OpenSSH-10.3p1, and Valgrind-3.26.0

## Installation of Gcr

### Note

Both gcr-3 and gcr-4 are coinstallable. This version of the package is used to support GTK-4 applications, such as gnome-shell-50.1 and Epiphany-49.3.

Install Gcr by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D gtk_doc=false    \
                ..                  &&
    ninja

If you have Gi-DocGen-2026.1 installed and wish to build the API documentation for this package, issue:

    sed -e "/install_dir/s@,\$@ / 'gcr-4.4.0.1'&@" \
        -i ../docs/*/meson.build                 &&
    meson configure -D gtk_doc=true              &&
    ninja

To test the results, issue: ninja test. The tests must be run from an X Terminal or similar.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk4=false`: Use this switch if you haven't installed GTK-4.22.4. Note that gcr-viewer-gtk4 will not be installed if this is passed to meson.

`-D gtk_doc=false`: Allow building this package without Gi-DocGen-2026.1 installed. If you have Gi-DocGen-2026.1 installed and you wish to rebuild and install the API documentation, a meson configure command will reset this option.

`-D crypto=gnutls`: Use this switch if you have GnuTLS-3.8.13 installed and wish to use it instead of libgcrypt-1.12.2.

## Contents

Installed Program: gcr-viewer-gtk4
Installed Libraries: libgck-2.so, libgcr-4.so
Installed Directories: /usr/include/gck-2, /usr/include/gcr-4, and /usr/share/gtk-doc/html/{gcr,gck}

### Short Descriptions

gcr-viewer-gtk4 | is used to view certificates and key files
`libgck-2.so` | contains GObject bindings for PKCS#11
`libgcr-4.so` | contains functions for accessing key stores and displaying certificates

- Prev

  Gcr-3.41.2

- Next

  gsettings-desktop-schemas-50.1

- Up
- Home